[arch-commits] Commit in python24/trunk (PKGBUILD db4.7-setup.py-detection.patch)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Jul 2 12:28:51 EDT 2008


    Date: Wednesday, July 2, 2008 @ 12:28:50
  Author: andyrtr
Revision: 3986

upgpkg: python24 2.4.5-2

Added:
  python24/trunk/db4.7-setup.py-detection.patch
Modified:
  python24/trunk/PKGBUILD

--------------------------------+
 PKGBUILD                       |   12 ++++++------
 db4.7-setup.py-detection.patch |   20 ++++++++++++++++++++
 2 files changed, 26 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-02 16:14:58 UTC (rev 3985)
+++ PKGBUILD	2008-07-02 16:28:50 UTC (rev 3986)
@@ -2,22 +2,22 @@
 # Maintainer: Jason Chu <jason at archlinux.org>
 pkgname=python24
 pkgver=2.4.5
-pkgrel=1
+pkgrel=2
 pkgdesc="A high-level scripting language"
 arch=(i686 x86_64)
 license=('custom')
 url="http://www.python.org"
-depends=('db>=4.6' 'bzip2' 'gdbm' 'openssl' 'zlib' 'gcc-libs' 'readline')
+depends=('db>=4.7' 'bzip2' 'gdbm' 'openssl' 'zlib' 'gcc-libs' 'readline')
 makedepends=('tk')
-source=(http://www.python.org/ftp/python/$pkgver/Python-$pkgver.tar.bz2 db4.6-setup.py-detection.patch db_fix.patch)
+source=(http://www.python.org/ftp/python/$pkgver/Python-$pkgver.tar.bz2 db4.7-setup.py-detection.patch db_fix.patch)
+options=('!makeflags')
 md5sums=('aade3958cb097cc1c69ae0074297d359'
-         '437410b4d9b8889e26d70182527ea110'
+         '0b28ac0c0d1557f598a1ac6d4fb4227b'
          '1c178479d17ae1e59cccb0a3f7be043b')
-options=('!makeflags')
 
 build() {
   cd $startdir/src/Python-$pkgver
-  patch -Np0 -i ../db4.6-setup.py-detection.patch || return 1
+  patch -Np0 -i ../db4.7-setup.py-detection.patch || return 1
   patch -Np0 -i ../db_fix.patch || return 1
   ./configure --prefix=/usr --enable-shared --with-threads --enable-unicode
   # This is supposed to be the previous version's python directory

Added: db4.7-setup.py-detection.patch
===================================================================
--- db4.7-setup.py-detection.patch	                        (rev 0)
+++ db4.7-setup.py-detection.patch	2008-07-02 16:28:50 UTC (rev 3986)
@@ -0,0 +1,20 @@
+--- setup.py	2006-10-08 19:41:25.000000000 +0200
++++ setup.py.new	2007-09-29 13:47:50.000000000 +0200
+@@ -522,7 +522,7 @@
+         #
+         # http://www.sleepycat.com/update/index.html
+ 
+-        max_db_ver = (4, 4)
++        max_db_ver = (4, 7)
+         min_db_ver = (3, 2)
+         db_setup_debug = False   # verbose debug prints from this script?
+ 
+@@ -539,7 +539,7 @@
+             '/sw/include/db3',
+         ]
+         # 4.x minor number specific paths
+-        for x in (0,1,2,3,4):
++        for x in (0,1,2,3,4,5,6,7):
+             db_inc_paths.append('/usr/include/db4%d' % x)
+             db_inc_paths.append('/usr/include/db4.%d' % x)
+             db_inc_paths.append('/usr/local/BerkeleyDB.4.%d/include' % x)





More information about the arch-commits mailing list